Page MenuHomePhabricator

Release 6.6
Closed, ResolvedPublic

Description

Release version: 6.6
Release tag: releases/6.6.0
Release SHA1: 04f469ae4414bacb9125d601da1d94ed31f5c491
App Store Submission Date: 5/21
App Store Approval Date: 5/21
App Store Release Date: 5/26
Regression Testing URL: See testing task


Pre-release

  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Mar 2 2020, 7:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2020, 7:52 PM
JMinor triaged this task as High priority.Mar 12 2020, 7:43 PM
JMinor reassigned this task from JMinor to LGoto.Jun 4 2020, 7:59 PM
JMinor updated the task description. (Show Details)
JMinor added a subscriber: JMinor.
LGoto closed this task as Resolved.Jun 4 2020, 8:05 PM
LGoto updated the task description. (Show Details)